[Помогите] Ошибка - Cannot modify header information ...

Тема в разделе "Wordpress", создана пользователем extrimportal, 13 апр 2009.

Статус темы:
Закрыта.
Модераторы: Sorcus
  1. extrimportal

    extrimportal

    Регистр.:
    28 ноя 2008
    Сообщения:
    540
    Симпатии:
    70
    Хелп народ. Перекидаю ВП второй раз на второй хостинг. Выскакивает ошыбка
    В базе даных пути сменил. Искал по просторам нета, нарыл что надо конвертировать в утф-8 без бом. зделал непомогло, закинул скрипт поиска бом. написал что все чисто. Что делать помогите. Удачных переносов еще не было, может где то скалечил.... :thenks::thenks::thenks:
     
  2. itex

    itex

    Регистр.:
    15 ноя 2007
    Сообщения:
    274
    Симпатии:
    64
    Попробуй зайти в виджеты и там включить - отключить их, может помочь.
     
  3. extrimportal

    extrimportal

    Регистр.:
    28 ноя 2008
    Сообщения:
    540
    Симпатии:
    70
    нет, еще варианты....
     
  4. anabioz

    anabioz

    Регистр.:
    20 май 2007
    Сообщения:
    212
    Симпатии:
    26
    Проверь указанные файлы на тот факт, а закачаны ли они. У меня было такое, FileZilla почему-то некоторые файлы не закачивала.
    + проверь правильно ли выставил CHMOD
     
  5. extrimportal

    extrimportal

    Регистр.:
    28 ноя 2008
    Сообщения:
    540
    Симпатии:
    70
    CHMOD 777 файлы перекачивал около 12 раз.
     
  6. anabioz

    anabioz

    Регистр.:
    20 май 2007
    Сообщения:
    212
    Симпатии:
    26
    Проверь размер их, а не наличие. Файл может и быть, но длинна у него может быть нулевая.
    + с Бомом у меня тоже не с первого раза получилось. Вроде выставляет нужную кодировку, но не "ту".
     
  7. alexzh

    alexzh

    Регистр.:
    13 сен 2006
    Сообщения:
    222
    Симпатии:
    88
    99,99% виноват плагин какой-то!!
    такое иногда происходит при неудачном обновлении плагинов или при обновлении версии ВП, когда старый плагин уже не подходит и требует обновления.... во такая же ошибка как у тебя_http://yesyoucanpublications.com/blog/?p=323
    типичная ситуация обновление до последней версии 271 зачем искать БОМ, если ты не редактировал файлы, тем более, если использовать редактор..... любой редактор нормальный БОМы видит сразу и вылезет сообщение о смене кодировки или еще какое-нибудь.... чаще всего они появляются у кодеров, которые любят заниматься украшательствами своих компов, и не замечают что перенастроили все настройки и т.д.....

    Добавлено через 8 минут
    выход один обновить на локалке плагины, тупо скачав новые, потом снести плагины с хоста и залить новые, если не помогла значит один из плагинов точно не подходит тут уже надо смотреть на "компатибл ту" до какой версии и т.д. и т.п.
     
  8. Cleric5

    Cleric5 Постоялец

    Регистр.:
    8 апр 2008
    Сообщения:
    81
    Симпатии:
    10
    /home/***/public_html/wp-includes/pluggable.php on line 850 - в этих строчках что содержится? Я сталкивался с такой ошибкой - у меня там (точно не помню, но примерно там) чего то давало сбой связанное с rewrite - просто удалил строчки и все работает без проблем. Что то типа правил если используется реврит или нет. Я сам не программер - решил как мог трабл.
     
  9. extrimportal

    extrimportal

    Регистр.:
    28 ноя 2008
    Сообщения:
    540
    Симпатии:
    70
    anabioz проверял, перекачивал и кодировал около 12 раз но глухо...
    alexzh ВП поставил новый, плагины тоже самые новые, ничего не обновлял, тупо переношу на хостинг.
    Cleric5 вот строки:
    а это с widgets.php
     
  10. Cleric5

    Cleric5 Постоялец

    Регистр.:
    8 апр 2008
    Сообщения:
    81
    Симпатии:
    10
    хм, тут действительно что то не то.
    Ты по ssh с помощью putty не пробовал перелить?
    К новому хостеру не обращался? Если нормальный - глянет скажет.
    Например у меня был не такой но тоже трабл при переносе - на новом хосте были запрещены инклуды и выдавало ошибку.
     
Статус темы:
Закрыта.